From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/gphoto2/
Date: Sun, 27 Aug 2017 17:57:15 +0000 (UTC) [thread overview]
Message-ID: <1503856609.48f6d0ed97341c58b00bea9a1c10c280077c1af9.eva@gentoo> (raw)
commit: 48f6d0ed97341c58b00bea9a1c10c280077c1af9
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 27 16:42:59 2017 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun Aug 27 17:56:49 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48f6d0ed
media-gfx/gphoto2: version bump 2.5.11 → 2.5.14
Package-Manager: Portage-2.3.8, Repoman-2.3.3
media-gfx/gphoto2/Manifest | 1 +
media-gfx/gphoto2/gphoto2-2.5.14.ebuild | 62 +++++++++++++++++++++++++++++++++
2 files changed, 63 insertions(+)
diff --git a/media-gfx/gphoto2/Manifest b/media-gfx/gphoto2/Manifest
index 6fb7eaef907..b3b51491822 100644
--- a/media-gfx/gphoto2/Manifest
+++ b/media-gfx/gphoto2/Manifest
@@ -1,2 +1,3 @@
DIST gphoto2-2.5.10.tar.bz2 784459 SHA256 66cc2f535d54b7e5a2164546a8955a58e23745e91e916757c0bf070699886690 SHA512 b6bca41b9787a475eaa0d094a2de261d1013fb2845fd7f3735099100df243860e50d3cce8a1e5afd8c29a4dcfc65367f83b0fc85185b80f5de732bf3faa0e06d WHIRLPOOL 2f3c15c675803206cfad5f4189e47f9e5a03b4ad1c45b1c94f87aaebda69ad7929f51496b3c1e511cb7f809c50aedae29ad1171e96eb0790118b4efd47e09d41
DIST gphoto2-2.5.11.tar.bz2 785251 SHA256 392844d6a06512b0d85e7983a5a0c85c8039feb6ab3bc420674ffdbf7536f9e9 SHA512 e1393797eaf94f4d6226fdbc390145c7a0caa5ed3422ab34185b27666887cd79bf832f7ff3a580aa5ea8740b429b235079e54f40a1bc92e37e0051cfeea5fa9a WHIRLPOOL d9a5b48ea230fcdbe7bdeba2337d6276d78bb8c8c83fe06a5a5272a8339bb2462c035bd943f021ff30029fcbf93b74811f2a55198f832cdf06bd417bf5279c61
+DIST gphoto2-2.5.14.tar.bz2 784442 SHA256 9302d02fb472d4936988382b7277ccdc4edaf7ede56c490278912ffd0627699c SHA512 47cb0d212673c9c0dbc996e0a67191a307599c844293a67184bd1529d9e3b417e154c6de64f4563f6f7e599a1bd6b127266f85f5baa97bd7d86922405bf45331 WHIRLPOOL 333bc0925b36ff5254a5e1d740536129ed08bdbfde7c57ba337aec7fe8cd2dcf8720ab6e1b13dc469b86cd10918926daa65f378e12cf0f29ebe2ff71a5cf62d4
diff --git a/media-gfx/gphoto2/gphoto2-2.5.14.ebuild b/media-gfx/gphoto2/gphoto2-2.5.14.ebuild
new file mode 100644
index 00000000000..86091f2fc66
--- /dev/null
+++ b/media-gfx/gphoto2/gphoto2-2.5.14.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools
+
+DESCRIPTION="Free, redistributable digital camera software application"
+HOMEPAGE="http://www.gphoto.org/"
+SRC_URI="mirror://sourceforge/gphoto/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="aalib exif ncurses nls readline"
+
+# aalib -> needs libjpeg
+RDEPEND="
+ dev-libs/popt
+ >=media-libs/libgphoto2-2.5.10:=[exif?]
+ aalib? (
+ media-libs/aalib
+ virtual/jpeg:0 )
+ exif? ( media-libs/libexif )
+ ncurses? ( dev-libs/cdk:0= )
+ readline? ( sys-libs/readline:0= )
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ nls? ( >=sys-devel/gettext-0.14.1 )
+"
+
+src_prepare() {
+ default
+ if ! use exif ; then
+ # Remove tests that require EXIF to pass, bug 610024
+ rm "${S}"/tests/data/test0{35,36,37,40}* || die
+ fi
+ # Leave GCC debug builds under user control
+ sed -r '/(C|LD)FLAGS/ s/ -g( |")/\1/' \
+ -i configure{.ac,} || die
+ eautoreconf
+}
+
+src_configure() {
+ CPPFLAGS="-I/usr/include/cdk" \
+ econf \
+ $(use_with aalib) \
+ $(use_with aalib jpeg) \
+ $(use_with exif libexif auto) \
+ $(use_with ncurses cdk) \
+ $(use_enable nls) \
+ $(use_with readline)
+}
+
+src_install() {
+ emake DESTDIR="${D}" \
+ HTML_DIR="${D}"/usr/share/doc/${PF}/sgml \
+ install
+
+ einstalldocs
+ rm -rf "${D}"/usr/share/doc/${PF}/sgml/gphoto2
+}
next reply other threads:[~2017-08-27 17:57 UTC|newest]
Thread overview: 66+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-08-27 17:57 Gilles Dartiguelongue [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-20 5:50 [gentoo-commits] repo/gentoo:master commit in: media-gfx/gphoto2/ Sam James
2023-05-04 16:31 Arthur Zamarin
2023-05-03 3:53 Sam James
2023-05-02 19:16 Sam James
2023-05-02 19:02 Arthur Zamarin
2022-10-14 2:10 Sam James
2022-10-01 23:09 Sam James
2022-03-09 15:39 Sam James
2022-03-09 12:49 Sam James
2022-03-08 9:35 Sam James
2022-01-10 21:30 Matt Turner
2021-05-29 15:27 Sam James
2021-05-29 9:02 Sam James
2021-05-29 6:09 Sam James
2021-05-28 19:20 Sam James
2021-04-19 2:39 Matt Turner
2021-04-13 15:00 Sam James
2021-04-01 16:44 Thomas Deutschmann
2021-03-12 8:01 Mikle Kolyada
2020-08-05 1:03 Sam James
2019-06-05 20:22 Andreas Sturmlechner
2019-05-03 13:42 Mikle Kolyada
2019-03-16 22:55 Sergei Trofimovich
2019-03-16 21:57 Sergei Trofimovich
2019-03-10 15:21 Mikle Kolyada
2019-03-09 19:18 Thomas Deutschmann
2019-01-16 22:36 Mart Raudsepp
2019-01-16 7:15 Sergei Trofimovich
2018-11-24 13:36 Sergei Trofimovich
2018-05-29 12:29 Mikle Kolyada
2018-05-14 14:11 Tobias Klausmann
2018-04-28 16:36 Sergei Trofimovich
2018-04-26 22:32 Aaron Bauman
2018-04-26 17:15 Thomas Deutschmann
2018-01-23 8:24 Gilles Dartiguelongue
2018-01-20 18:05 Mart Raudsepp
2017-12-06 22:34 Sergei Trofimovich
2017-11-02 10:28 Manuel Rüger
2017-10-30 22:26 Mart Raudsepp
2017-10-25 21:31 Sergei Trofimovich
2017-09-30 6:30 Sergei Trofimovich
2017-09-30 4:52 Sergei Trofimovich
2017-09-29 23:05 Thomas Deutschmann
2017-09-15 15:38 Tobias Klausmann
2017-03-28 16:14 Mart Raudsepp
2017-03-16 13:24 Jeroen Roovers
2017-02-24 14:07 Agostino Sarubbo
2017-02-21 9:16 Tobias Klausmann
2016-12-05 13:52 Pacho Ramos
2016-09-17 17:33 Pacho Ramos
2016-07-30 11:18 Jeroen Roovers
2016-07-30 9:34 Jeroen Roovers
2016-06-07 7:03 Tobias Klausmann
2016-05-30 21:25 Pacho Ramos
2016-05-29 12:42 Pacho Ramos
2016-05-29 12:42 Pacho Ramos
2016-03-06 20:12 Mikle Kolyada
2016-01-04 23:14 Gilles Dartiguelongue
2015-11-12 11:07 Agostino Sarubbo
2015-10-18 11:29 Mikle Kolyada
2015-09-28 4:44 Jeroen Roovers
2015-09-20 6:11 Jeroen Roovers
2015-09-16 8:43 Tobias Klausmann
2015-09-05 17:06 Pacho Ramos
2015-09-05 17:06 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1503856609.48f6d0ed97341c58b00bea9a1c10c280077c1af9.eva@gentoo \
--to=eva@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox